%Yann-Al Le Borgne - October 2005 -
%www.ulb.ac.be/di/map/yleborgn/sensorNet

function [nbPositions nbHeatSources radius heatPos heatIntensity]=getHeatSpec()
%radius: Radius of heat sources
%heatPos: matrix of size duration*nbHeatSources*2
%heatIntensity: Matrix of size duration*nbHeatSources

%For 3 heat sources of 200W with 10 random positions between -0.5 and 0.5,
%and radii of 0.05
nbHeatSources=3;
nbPositions=50;
radius=0.05;

rand('seed',2)
heatPos=rand(nbPositions,1,2)-0.5;
for i=2:nbHeatSources
    for j=1:nbPositions
         ok=0;
         while (ok==false) 
             ok=1;
             newCoord=rand(1,2)-0.5;
             for k=1:(i-1)
                 if (norm([heatPos(j,k,1) heatPos(j,k,2)]-newCoord)<(radius*2)) ok=0; end
             end
         end
         heatPos(j,i,1)=newCoord(1);
         heatPos(j,i,2)=newCoord(2);
    end
end

heatIntensity=200*ones(nbPositions,nbHeatSources)

